Account Info Guide
Version Differences
This endpoint is available in API versions 2 and 3. Note the following differences:
Area | V2 | V3 |
|---|---|---|
x-akoya-interaction-type header | Optional | Required |
x-akoya-last-access header | Not Supported | Required |
x-akoya-intent-type header | Not Supported | Required |
Overview
The Account Information product, included with all Akoya subscriptions, includes basic account information such as identifiers, account types, status, descriptions, and everything you need for top-level information about a consumer’s account(s).
This account information is available as a standalone endpoint and its payload is also included in results of the Balances and Investment endpoints.
Account info returns its results in JSON in FDX format. Account info includes a common grouping of data and may contain additional data elements for annuity, deposit, insurance, investment, or loan account types.
Common Use Cases
Obtain account IDs for a permissioned customer's accounts. Other Akoya endpoints use the accountId to retrieve specific information about the given account.
Display top-level account details for a permissioned customer's accounts in a personal finance app.
Security
The Account Information API requires authentication using a bearer token (id_token assigned to the permissioned user). You should include the id_token in the Authorization header of each request. The actual token lifetime varies by provider, but assume a lifetime of 15 minutes and code your application to automatically refresh the token if it has expired.
Base URL
Like all Akoya APIs, Account Information operates in both sandbox and prod:
Sandbox:
https://sandbox-products.ddp.akoya.com
Production:
https://products.ddp.akoya.com
Endpoints
Account Information
GET /accounts-info/{version}/{providerId}
Retrieves high level account data about a permissioned user's account.
Path Params
Param | Description |
|---|---|
{version} | Major API version (e.g. v3) |
{providerId} | ID for the financial institution providing the data |
Query Params
Param | Type | Required | Description |
|---|---|---|---|
mode | String | No | BETA. Default is raw. Use standard for FDX-aligned, standardized data values. |
accountIds | String | No | Comma separated list of consumer account ids |
Headers
Header | Type | Required | Description |
|---|---|---|---|
Authorization | String | Yes | The ID Token for the permissioned user |
x-akoya-interaction-type | String (Enum) | v2: No v3: Yes | Indicates whether a consumer action prompted the request (USER) or the request is part of a batch process (BATCH). |
x-akoya-last-access | String (Date-Time) | v2: N/A v3: Yes | The date and time stamp for the last active use by the user. |
x-akoya-intent-type | String (Enum) | v2: N/A v3: Yes | Indicates whether a transaction involves a payment. Acceptable values are payments or nonpayments. |
Example Response
JSON
Supported Data Elements
All Account Categories
Name | Type | Description |
|---|---|---|
accountId | String | Long-term persistent identity of the account. Not an account number. This identity must be unique to the owning institution. |
accountType | String | The type of an account. For instance, CHECKING, SAVINGS, 401K, etc. |
accountNumberDisplay | String | Account display number for the end user’s handle at owning institution. This is to be displayed by the Interface Provider. |
currency | [currency] | Indicates the currency code used by the account. May also include currency rate. |
description | String | Description of account. |
fiAttributes | [fiAttribute] | Data provider-specific attributes. |
nickname | String | Name given by the user. Used in UIs to assist in account selection |
productName | String | Marketed cluster name for this account. Used in UIs to assist in account selection |
status | String | The status of an account. |
lineOfBusiness | String | The line of business, such as consumer, consumer joint, small business, corporate, etc. |
balanceType | String | ASSET (positive transaction amount increases balance), LIABILITY (positive transaction amount decreases balance). |
interestRate | Number | Interest Rate of Account |
interestRateType | String | The type of interest rate. FIXED or VARIABLE. |
interestRateAsOf | String (Date-Time) | Date of account’s interest rate |
lastActivityDate | String (Date-Time) | Date that last transaction occurred on account |
micrNumber | String | MICR Number |
parentAccountId | String | Long-term persistent identity of the parent account. The API uses it to group accounts. |
priorInterestRate | Number | Previous Interest Rate of Account |
transferIn | Boolean | Account is eligible for incoming transfers |
transferOut | Boolean | Account is eligible for outgoing transfers |
Deposit Accounts
May also include:
Name | Type | Description |
|---|---|---|
annualPercentageYield | Number | Annual Percentage Yield. If account type = CD, required. |
term | Integer | Term of CD in months |
maturityDate | String (Date-Time) | Maturity date for CDs. If account type = CD, required. |
Line of Credit Accounts
No additional data elements
Loan Accounts
May also include:
Name | Type | Description |
|---|---|---|
compoundingPeriod | String | none |
loanTerm | Integer | Term of loan in months |
maturityDate | String (Date-Time) | CDs require the maturity date |
originatingDate | String (Date-Time) | Loan origination date |
paymentFrequency | String | none |
totalNumberOfPayments | Integer | Total number of payments |
Investment Accounts
May also include:
Name | Type | Description |
|---|---|---|
allowedCheckWriting | Boolean | Check writing privileges |
allowedOptionTrade | Boolean | Allowed to trade options |
brokerId | String | Unique identifier FI |
calendaryearFor401K | String | Date for this calendar year for 401K account |
employerName | String | Name of the employer in investment 401k Plan |
margin | Boolean | The API allows margin trading |
planId | String | Plan number for Investment 401k plan |
Insurance Accounts
May also include:
Name | Type | Description |
|---|---|---|
accountCategory | String | none |
Annuity Accounts
May also include:
Name | Type | Description |
|---|---|---|
annuityProductType | String | none |
annuityValueBasis | String | none |
paymentFrequency | String | none |
Error Responses
See our error documentation.